Bug 1406601 - VM for Dashboard - UNCC
Summary: VM for Dashboard - UNCC
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: website
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: M. Scherer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-21 01:06 UTC by Amye Scavarda
Modified: 2017-09-05 18:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-05 18:04:48 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Amye Scavarda 2016-12-21 01:06:38 UTC
Forgot to put this in earlier: 

Hosting for UNCC: 
We are currently running our VMs through Oracle VirtualBox, running Ubuntu 16.04 64 Bit, with 4 GB RAM, 8 GB Storage.
However, we are getting warnings that we are low on storage, so we'd recommend probably going to 16 GB.

Comment 1 M. Scherer 2016-12-21 12:09:17 UTC
What is UNCC ? And why is it related to gluster :/

Comment 2 Nigel Babu 2016-12-21 19:26:41 UTC
They're working on dashboards for us.

Amye, I think we should figure out *what* they're running and help them run it on CentOS 7 rather Ubuntu. I'd rather not have Ubuntu among our servers unless there's a compelling reason to.

It's also useful for us to automate their setup right away (with Ansible) rather than put it for later.

Comment 3 M. Scherer 2016-12-22 12:51:32 UTC
This bring a bit more questions than it answer.

First, I still think we should have discussed before getting to "we need resources". There was no announce nor meetings as far as I know, and we did agreed in the past on being better at transparancy, and this does make feel confident that we take this commitment seriously, and that's rather disenfranchising.

Second, who will be responsible for that VM ? 

Since the requirements cited include a 4G one, so I suspect this is more than just "display static HTML". And if they are using Ubuntu, I suspect also this is not selinux ready or anything (and usually, I am right regarding my expectation). I am not keen on adding something that do not meet  minimal security requirement being added under the gluster.org domain, we already have enough historical stuff to not add on it :/

Third, I would veto running a VM in the DC with outsiders of the community having a shell access to it. The current network layout is not prepared for that, and while that's something I want to fix, this is not done yet.  

And outside of those 3 questions, there is also the question of the access required to do the stats. That's also something that should be discussed before we start to give resources (or start the project), especially since there is privacy implications. There is the question of who will have access to the stats, etc, etc.

So there is a bit more stuff that need to be discussed before even discussing the VM.

Comment 4 Amye Scavarda 2016-12-22 15:34:34 UTC
Sorry, this was a placeholder bug that I'd forgotten to put in. 

This project was a UNCC graduate student project, the project is completed as of December 2016. In order to be able to take advantage of it, we need to host it somewhere.

This is now something that we as a community can mess with, but there's no need for access for anyone else.


Note You need to log in before you can comment on or make changes to this bug.